// Filename: TestXmlSupportDlg.h
// S.Chan, Jul 17, 2005

#ifndef TEST_XML_SUPPORT_DLG_INCLUDED
#define TEST_XML_SUPPORT_DLG_INCLUDED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Forward class declarations.
class CXmlTester;
class CBookCatalog;

// CTestXmlSupportDlg
class CTestXmlSupportDlg : public CDialog
{
public:
    CTestXmlSupportDlg(CWnd* pParent = NULL);
    virtual ~CTestXmlSupportDlg();

    // Dialog data.
    //{{AFX_DATA(CTestXmlSupportDlg)
    CEdit    m_xmlPathEdit;
    int      m_enableSchemaValidation;
    int      m_enableSchemaLocation;
    int      m_enableExhaustiveErrors;
    CEdit    m_namespaceEdit;
    CEdit    m_xsdPathEdit;
    CEdit    m_parsingDelayEdit;
    CListBox m_resultsListBox;
    CEdit    m_bookIdEdit;
    //}}AFX_DATA
 
protected:
    // ClassWizard generated virtual function overrides.
    //{{AFX_VIRTUAL(CTestXmlSupportDlg)
    virtual void DoDataExchange(CDataExchange* pDX);
    //}}AFX_VIRTUAL

    // Generated message map functions.
    //{{AFX_MSG(CTestXmlSupportDlg)
    virtual BOOL    OnInitDialog();
    afx_msg void    OnSysCommand(UINT nID, LPARAM lParam);
    afx_msg void    OnPaint();
    afx_msg HCURSOR OnQueryDragIcon();
    afx_msg void    OnSelectXmlPathClicked();
    afx_msg void    OnParseClicked();
    afx_msg void    OnAbortClicked();
    afx_msg void    OnClearClicked();
    afx_msg void    OnSelectXsdPathClicked();
    afx_msg void    OnAddSchema();
    afx_msg void    OnRemoveSchema();
    afx_msg void    OnFindBook();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    HICON m_hIcon;

private:
    CXmlTester*   m_xmlTester;
    bool          m_isParsing;

    CBookCatalog* m_bookCatalog;
};

#endif // TEST_XML_SUPPORT_DLG_INCLUDED

// END
